#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    int x1,y1,x2,y2;
    cin >> x1 >> y1;
    cin >> x2 >> y2;
    int k;
    if (x1==x2 && y1==y2)
        return 0;
    if (x1=x2)
        k=2;
    if (y1==y2)
        k=2;
    else
    {
        if (abs(x1-y1)!=abs(x2-y2))
            k=0;
        else
            k=1;
    }
    cout << k << endl;
    return 0;
}